Package Gnumed :: Package pycommon :: Module gmBackendListener |
[frames] | no frames]

# Module gmBackendListener

source code

GNUmed database backend listener.

This module implements threaded listening for asynchronuous notifications from the database backend.

Version: $Revision: 1.22 $

Author: H. Herb <hherb@gnumed.net>, K.Hilbert <karsten.hilbert@gmx.net>

Classes
| gmBackendListener

Variables
| static_signals = ``[``u'``db_maintenance_warning``'``,` `u'``db_maintenance_``...``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: sys, time, threading, select, logging, gmDispatcher, gmExceptions, gmBorg

Variables Details

  ### static_signals Value:
      [u'db_maintenance_warning', u'db_maintenance_disconnect']